View Issue Details

IDProjectCategoryView StatusLast Update
11608Bug reports[All Projects] User/User groupspublic2018-05-25 11:30
ReporterttenbergenAssigned Tomarkusfluer 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version2.50.x 
Target VersionFixed in Version3.7.x 
Summary11608: In User Control panel, # rows chooser doesn't affect listing
DescriptionThe dropdown where you choose the number of rows you want listed doesn't affect the listing, it stays at 10. Screen turns a bit gray, but no additional lines.
Additional InformationActually, the reason I was trying to list more lines is so I can duplicate tabs to do edits to all my users. I used to be able to right-click open in new window, but the new program doesn't allow it. So, was going to pull up long list, make 20 tabs, and then edit and close each.
The program is slow, so doing these one at a time is really aggravating.
Doubt this can change, just thought I'd tell about a use case where the new frame work is a detriment.
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 2.50.1+160823
I will donate to the project if issue is resolvedNo
BrowserFF newest
Database & DB-Version?
Operating System (Server)?
Webserver software & version?
PHP Version5.4

Activities

mfavetti

mfavetti

2016-09-28 21:47

developer   ~41015

I just checked this and the rows per page selector does work correctly in the latest git (6dd011582adff0af34bb417343da368ef0a52861)

I assume the reporter is opening all these tabs is to edit user permissions. We could have a "massive action" dropdown for the user control panel to bulk apply permissions.

Thoughts?

@ttenbergen can you give specifics of your usage needs?
ttenbergen

ttenbergen

2016-09-28 22:51

reporter   ~41018

I was doing a mass update because there is still a bug with participant panel for certain user rights (different ticket is open for that). I had assumed that the problem was fixed and it turned out it wasn't.
In normal operations I would not need to do bulk changes of user rights.

Having a bulk update function would not have helped me. I needed to open each to see if they were still active, ie had rights in the first place. When a user leaves we keep the account and disable rights so that survey ownership still makes sense. I don't know how Limesurvey would treat a deleted user, so figured best this way.

It would be nice if the program simply allowed middle-click-to-open-in-new-tab. Somehow suspect that it's part of the framework that this does not work. No huge deal, that part, that's sort of a weird use case. This report was primarily to get the rows per page fixed.

Hopefully one day we will also get the ComfortUpdate problem we have worked out and then we will get a new version and hopefully with that the rows-per-page will work.
markusfluer

markusfluer

2018-04-27 12:55

manager   ~47555

This issue should be resolved in the current version, please update.
c_schmitz

c_schmitz

2018-05-25 11:30

administrator   ~47834

Version 3.8.1+180524 released

Issue History

Date Modified Username Field Change
2016-08-31 20:36 ttenbergen New Issue
2016-09-28 21:47 mfavetti Note Added: 41015
2016-09-28 22:51 ttenbergen Note Added: 41018
2018-04-27 12:55 markusfluer Assigned To => markusfluer
2018-04-27 12:55 markusfluer Status new => resolved
2018-04-27 12:55 markusfluer Resolution open => fixed
2018-04-27 12:55 markusfluer Fixed in Version => 3.7.x
2018-04-27 12:55 markusfluer Note Added: 47555
2018-05-25 11:30 c_schmitz Note Added: 47834
2018-05-25 11:30 c_schmitz Status resolved => closed